## List of plugins

#### [By topic](#by-topic-1)

- [Alignment](#alignment)
- [Code completion](#code-completion)
- [Commenters](#commenters)
- [Delimiter](#delimiter)
- [Fuzzy finders](#fuzzy-finders)
- [Grep tools](#grep-tools)
- [Navigation](#navigation)
- [Statusline](#statusline)
- [Taking notes](#taking-notes)
- [Tmux](#tmux)
- [Undo history](#undo-history)
- [Version control](#version-control)
- [Misc](#misc)

#### [By filetype](#by-filetype-1)

- [C and C++](#c-and-c)
- [Clojure](#clojure)
- [HTML](#html)
- [Java](#java)
- [Javascript](#javascript)
- [Lua](#lua)
- [TeX](#tex)

## By topic

#### Alignment

- [easy-align](https://github.com/junegunn/vim-easy-align)
- [tabular](https://github.com/godlygeek/tabular)

#### Code completion

- [neocomplete](https://github.com/Shougo/neocomplete.vim)
- [supertab](https://github.com/ervandew/supertab)
- [vimcompletesme](https://github.com/ajh17/VimCompletesMe)
- [youcompleteme](https://github.com/Valloric/YouCompleteMe)

#### Commenters

- [commentary](https://github.com/tpope/vim-commentary)
- [nerdcommenter](https://github.com/scrooloose/nerdcommenter)
- [tcomment](https://github.com/tomtom/tcomment_vim)

#### Delimiter

- [auto-pairs](https://github.com/jiangmiao/auto-pairs)
- [delimitmate](https://github.com/Raimondi/delimitMate)
- [endwise](https://github.com/tpope/vim-endwise)
- [ultisnips](https://github.com/SirVer/ultisnips)

#### Fuzzy finders

- [command-t](https://github.com/wincent/Command-T)
- [ctrlp](https://github.com/ctrlpvim/ctrlp.vim.git)
- [fzf](https://github.com/junegunn/fzf)
- [unite](https://github.com/Shougo/unite.vim)

#### Grep tools

- [ack](https://github.com/mileszs/ack.vim)
- [ag](https://github.com/rking/ag.vim)
- [grepper](https://github.com/mhinz/vim-grepper) (tries to supercede all other
  grep plugins :-))

#### Navigation

- [dirvish](https://github.com/justinmk/vim-dirvish)
- [easymotion](https://github.com/easymotion/vim-easymotion)
- [nerdtree](https://github.com/scrooloose/nerdtree)
- [sneak](https://github.com/justinmk/vim-sneak)
- [tagbar](https://github.com/majutsushi/tagbar)
- [vimfiler](https://github.com/Shougo/vimfiler.vim)
- [vinegar](https://github.com/tpope/vim-vinegar)

Also see [fuzzy finders](#fuzzy-finders).

#### Statusline

- [airline](https://github.com/vim-airline/vim-airline)
- [flagship](https://github.com/tpope/vim-flagship)
- [lightline](https://github.com/itchyny/lightline.vim)
- [powerline](https://github.com/powerline/powerline)

#### Taking notes

- [dotoo](https://github.com/dhruvasagar/vim-dotoo)
- [journal](https://github.com/junegunn/vim-journal)
- [notes](https://github.com/xolox/vim-notes)
- [orgmode](https://github.com/jceb/vim-orgmode)
- [pad](https://github.com/fmoralesc/vim-pad)
- [vimwiki](https://github.com/vimwiki/vimwiki)

#### Tmux

- [dispatch](https://github.com/tpope/vim-dispatch)
- [tmux-complete](https://github.com/wellle/tmux-complete.vim)
- [tmux-navigator](https://github.com/christoomey/vim-tmux-navigator)

#### Undo history

- [gundo](https://github.com/sjl/gundo.vim)
- [undotree](https://github.com/mbbill/undotree)

#### Version control

- [fugitive](https://github.com/tpope/vim-fugitive)
- [gist-vim](https://github.com/mattn/gist-vim)
- [gitgutter](https://github.com/airblade/vim-gitgutter)
- [github-dashboard](https://github.com/junegunn/vim-github-dashboard)
- [gitv](https://github.com/gregsexton/gitv)
- [gv](https://github.com/junegunn/gv.vim)
- [lawrencium](https://bitbucket.org/ludovicchabant/vim-lawrencium)
- [signify](https://github.com/mhinz/vim-signify)
- [github-issues](https://github.com/jaxbot/github-issues.vim)

#### Misc

- [bracketed-paste](https://github.com/ConradIrwin/vim-bracketed-paste)
- [calendar](https://github.com/itchyny/calendar.vim)
- [covim](https://github.com/FredKSchott/CoVim)
- [devicons](https://github.com/ryanoasis/vim-devicons)
- [diminactive](https://github.com/blueyed/vim-diminactive)
- [gnupg](https://github.com/jamessan/vim-gnupg)
- [goyo](https://github.com/junegunn/goyo.vim)
- [hackernews](https://github.com/ryanss/vim-hackernews)
- [indentline](https://github.com/Yggdroot/indentLine)
- [multiple-cursors](https://github.com/terryma/vim-multiple-cursors)
- [nrrwrgn](https://github.com/chrisbra/NrrwRgn)
- [online-thesaurus](https://github.com/beloglazov/vim-online-thesaurus)
- [projectionist](https://github.com/tpope/vim-projectionist)
- [rsi](https://github.com/tpope/vim-rsi)
- [splitjoin](https://github.com/AndrewRadev/splitjoin.vim)
- [startify](https://github.com/mhinz/vim-startify)
- [surround](https://github.com/tpope/vim-surround)
- [targets](https://github.com/wellle/targets.vim)
- [unicode.vim](https://github.com/chrisbra/unicode.vim)

## By filetype

#### C and C++

- [a](https://github.com/vim-scripts/a.vim)
- [clang_complete](https://github.com/Rip-Rip/clang_complete)
- [color_coded](https://github.com/jeaye/color_coded.git)
- [lh-cpp](https://github.com/LucHermitte/lh-cpp)

#### Clojure

- [clojure-highlight](https://github.com/guns/vim-clojure-highlight)
- [fireplace](https://github.com/tpope/vim-fireplace)
- [paredit](https://github.com/kovisoft/paredit)
- [rainbow_parentheses](https://github.com/junegunn/rainbow_parentheses.vim)
- [salve](https://github.com/tpope/vim-salve)
- [sexp-mappings-for-regular-people](https://github.com/tpope/vim-sexp-mappings-for-regular-people)
- [sexp](https://github.com/guns/vim-sexp)

#### HTML

- [emmet](https://github.com/mattn/emmet-vim)
- [html5](https://github.com/othree/html5.vim)

#### Java

- [javacomplete2](https://github.com/artur-shaik/vim-javacomplete2)

#### Javascript

- [es.next.syntax](https://github.com/othree/es.next.syntax.vim)
- [esformatter](https://github.com/millermedeiros/vim-esformatter)
- [javascript-libraries-syntax](https://github.com/othree/javascript-libraries-syntax.vim)
- [javascript-syntax](https://github.com/jelera/vim-javascript-syntax)
- [javascript](https://github.com/pangloss/vim-javascript)
- [node-vim-debugger](https://github.com/sidorares/node-vim-debugger)
- [node](https://github.com/moll/vim-node)
- [tern_for_vim](https://github.com/ternjs/tern_for_vim)

#### Lua

- [lua-ftplugin](https://github.com/xolox/vim-lua-ftplugin)
- [lua-inspect](https://github.com/xolox/vim-lua-inspect)

#### TeX

- [vimtex](https://github.com/lervag/vimtex)
